%filter_from_requires /^python2.7.xmlWriter/d
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-compositor
%define fedora 25
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           python-module-compositor
Version:        0.2b
Release:        alt2_13
Summary:        A simple OpenType GSUB and GPOS engine 

Group:          Development/Tools
License:        MIT 
URL:            http://code.typesupply.com/wiki/Compositor
Source0:        http://tools.typesupply.com/downloads/sourcecode/compositor-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       python-module-robofab python-module-fonttools

%description
A simple OpenType GSUB and GPOS engine.

%prep
%setup -q -n compositor-%{version} 


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc License.txt usage.html development.txt
%{python_sitelibdir_noarch}/compositor
%{python_sitelibdir_noarch}/compositor-%{version}*.egg-info

%changelog
* Tue Nov 07 2017 Igor Vlasenko <viy@altlinux.ru> 0.2b-alt2_13
- tmp hack; dropped optional logger dependency (xmlWrapper)

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.2b-alt1_13
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 0.2b-alt1_12
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.2b-alt1_11
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.2b-alt1_9
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.2b-alt1_8
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.2b-alt1_7
- update to new release by fcimport

* Wed Jan 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.2b-alt1_6
- initial fc import

